Bug 170307 - Wrong path to klist in /etc/init.d/ldap
Wrong path to klist in /etc/init.d/ldap
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-10 13:13 EDT by Joachim Selke
Modified: 2014-08-31 19:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: openldap-servers-2.3.19-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-29 08:54:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Selke 2005-10-10 13:13:53 EDT
Description of problem:
I use Kerberos 5 for authentication and LDAP for user information.

When starting openldap (service ldap start) I get:

/etc/init.d/ldap: line 74: klist: command not found
Checking configuration files for slapd:                    [  OK  ]
Starting slapd:                                            [  OK  ]

Line 74 is:

if LANG=C klist -k "$KRB5_KTNAME" | tail -n 4 | awk '{print $2}' | grep -q
^"$service"/ ; then

I think it has to be "$klist" instead of "klist".


Version-Release number of selected component (if applicable):
openldap-servers.x86_64-2.2.23-5
Comment 1 Joachim Selke 2006-01-24 12:54:24 EST
The bug still exists in openldap-2.2.29-1.FC4.
Comment 2 Joachim Selke 2006-03-29 08:54:13 EST
This bug is fixed in Fedora Core 5 (openldap-servers-2.3.19-4).

Note You need to log in before you can comment on or make changes to this bug.